<?php
require_once(dirname(__FILE__) . '/../libs/b3.php');
$SurfReward_config = $griffin->staa('*', 'SurfReward');
if ($SurfReward_config['status'] === '0') exit();	//the SurfReward module is disabled
if ($SurfReward_config['last_ceremony'] === date('Y-m-d')) exit();	//the ceremony has already been held today
//the ceremony has not been held today. Let's give away the prizes for yesterday's top 10 surfers.
$yesterday = date('Y-m-d', time() - 86400);
$surf_contest_days = explode('|', $griffin->sfrfv('surf_contest_days', 'SurfReward'));
//echo('<pre>');
//print_r($surf_contest_days);
$yesterday_name = date('l', time() - 86400);
//echo($yesterday_name);
if (in_array($yesterday_name, $surf_contest_days, true) === false) {
//	echo('Yesterday was not a surf competition day');
	exit();	//Yesterday was not a surf contest day
}
//echo('Yesterday was a surf competition day<br>');
$yesterday_top_surfers = $griffin->staas('*', '7stat', 'WHERE date="'. $yesterday .'" ORDER BY hits_delivered DESC LIMIT 10');
//echo('<pre>');
//print_r($yesterday_top_surfers);
$griffin->q('DELETE FROM SurfReward_last_winners');
foreach ($yesterday_top_surfers as $num => $data) {
	$prize_to_give = 0;
	if ($num === 0) $prize_to_give = $SurfReward_config['place_1_prize'];
	if ($num === 1) $prize_to_give = $SurfReward_config['place_2_prize'];
	if ($num === 2) $prize_to_give = $SurfReward_config['place_3_prize'];
	if ($num === 3) $prize_to_give = $SurfReward_config['place_4_prize'];
	if ($num === 4) $prize_to_give = $SurfReward_config['place_5_prize'];
	if ($num === 5) $prize_to_give = $SurfReward_config['place_6_prize'];
	if ($num === 6) $prize_to_give = $SurfReward_config['place_7_prize'];
	if ($num === 7) $prize_to_give = $SurfReward_config['place_8_prize'];
	if ($num === 8) $prize_to_give = $SurfReward_config['place_9_prize'];
	if ($num === 9) $prize_to_give = $SurfReward_config['place_10_prize'];
	$griffin->u(array('credits=credits+'. $prize_to_give), 'user', 'WHERE id = '. $data['usrid']);
	$user_data = $griffin->staa('*', 'user', 'WHERE id = '. $data['usrid']);
	$email_template_variables = array('[name]' => $user_data['name'], '[place_in_the_top]' => $num + 1, '[sites_surfed]' => $data['hits_delivered'], '[number_of_credits_won]' => $prize_to_give);
	FillGeneralEmailTplVars($email_template_variables, $user_data['id']);
//	echo(SendTemplateEmail($user_data['email'], 'globalautohits.com reward', $email_template_variables, 'emails/top_10_rewards.tpl', $smarty, "From: admin@globalautohits.com\r\n", '', true) . "\n\n");
	$email_title = $griffin->sfrfv('email_title', 'SurfReward');
	SendTemplateEmail($user_data['email'], $email_title, $email_template_variables, 'emails/top_10_rewards.tpl', $smarty, "From: admin@quadhits.com\r\n");
	$griffin->i(array('name' => $user_data['name'], 'usrid' => intval($user_data['id']), 'hits_delivered' => intval($data['hits_delivered']), 'credits_won' => $prize_to_give), 'SurfReward_last_winners');
}
$griffin->u(array('last_ceremony' => date('Y-m-d')), 'SurfReward');
?>