<?php
require_once(dirname(__FILE__) . '/../libs/b3.php');
require_once(dirname(__FILE__) . '/../libs/MailQueue.includer.php');
$MailQueue->Send();

//SBAW emails
$mq = &$griffin;

$weekdays = array('Monday' => 1, 'Tuesday' => 2, 'Wednesday' => 3, 'Thursday' => 4, 'Friday' => 5, 'Saturday' => 6, 'Sunday' => 7);
$current_weekday_number = intval(date('w'));
if ($current_weekday_number === 0)  $current_weekday_number = 7;
$SBAW_data = $mq->staa('*', 'SBAW_data');
$start_weekday_number = $weekdays[$SBAW_data['start_day']];
$end_weekday_number = $weekdays[$SBAW_data['end_day']];
$start_ts = 0;
$end_ts = 0;
if ($current_weekday_number > $start_weekday_number) {
	$start_ts = strtotime('last '. $SBAW_data['start_day']) + 3600 * $SBAW_data['start_hour'];
}
elseif ($current_weekday_number === $start_weekday_number) {
	$start_ts = strtotime('today') + 3600 * $SBAW_data['start_hour'];
}
else {
	$start_ts = strtotime('next '. $SBAW_data['start_day']) + 3600 * $SBAW_data['start_hour'];
}
if ($current_weekday_number > $end_weekday_number) {
	$end_ts = strtotime('last '. $SBAW_data['end_day']) + 3600 * $SBAW_data['end_hour'];
}
elseif ($current_weekday_number === $end_weekday_number) {
	$end_ts = strtotime('today') + 3600 * $SBAW_data['end_hour'];
}
else {
	$end_ts = strtotime('next '. $SBAW_data['end_day']) + 3600 * $SBAW_data['end_hour'];
}

if ((time() - $mq->sfrfv('last_complete_time', 'cron_data', 'WHERE name = "SBAW_controller"')) >= 60)
{
	$SBAW_status = $mq->sfrfvi('running', 'SBAW_data');
	if (time() > $start_ts && time() < $end_ts) {
		//we are in the period, where SBAW should be running
		if ($SBAW_status !== 1) {
			//we start it if it hasn't started alreadu
			$mq->u(array('running' => 1), 'SBAW_data');
			$date = date("Y-m-d");
			//we also have to send out the stats email
			$email_tpl = $mq->sfrfv('email_tpl', 'SBAW_data');
			$query = "select id, email, name, credits, secid from user where lastmail!='$date' && ac = 0";
			$res = mysql_query($query);
			if (mysql_num_rows($res) != 0) {
			    $admail = mysql_result(mysql_query("select value from admin where field='email'"), 0);
			    for ($i = 0; $i < mysql_num_rows($res); $i++) {
			    	$message = $email_tpl;
			        $id = mysql_result($res, $i, "id");
			        $email = mysql_result($res, $i, "email");
			        $name = mysql_result($res, $i, "name");
			        $credits = round(mysql_result($res, $i, "credits"), 2);
			        $secid = mysql_result($res, $i, "secid");
			        $surflink = 'http://'. $siteurl . 'surf2.php?id='. $id . '&secid='. $secid;
			        $unsublink = 'http://'. $siteurl .'unsubscribe.php?id='. $id;
			        $message = str_replace('[name]', $name, $message);
			        $message = str_replace('[surflink]', $surflink, $message);
			        $message = str_replace('[unsublink]', $unsublink, $message);
			        $subj = $mq->sfrfv('email_title', 'SBAW_data');
			        $subj = str_replace('[name]', $name, $subj);
			        $subj = str_replace('[surflink]', $surflink, $subj);
			        $weekly_stats = "Weekly statistics as of $date\n\nAccount credits: $credits\n\n";
			        $sres = mysql_query("select id, name, credits, totalhits, hitslastmail from site where usrid=$id");
			        for ($si = 0; $si < mysql_num_rows($sres); $si++) {
			            $sid = mysql_result($sres, $si, "id");
			            $sname = mysql_result($sres, $si, "name");
			            $scredits = round(mysql_result($sres, $si, "credits"), 2);
			            $thits = mysql_result($sres, $si, "totalhits");
			            $lhits = mysql_result($sres, $si, "hitslastmail");
			            $weekly_stats = $weekly_stats . "Site: $sname\n\tCredits: $scredits\n\tHits this week: $lhits\n\tTotal hits: $thits\n\n";
			            $sres2 = mysql_query("update site set hitslastmail=0 where id=$sid");
			        }
			        $message = str_replace('[site_stats]', $weekly_stats, $message);
			        $res2 = mysql_query("update user set lastmail='$date' where id=$id");
			        $MailQueue->InsertEmail($email, $subj, $message, "From: \"$title Admin\" <$nrem>");
			    }
			}
		}
	}
	else
	{
		//we are in the period where SBAW should not be running.
		if ($SBAW_status === 1) {
			//the competition needs to be ended
			$mq->u(array('running' => 0), 'SBAW_data');
			//the surfing ratios will automatically go down, as they are determined by the surfbar itself
		}
	}
	$mq->u(array('last_complete_time' => time()), 'cron_data', 'WHERE name = "SBAW_controller"');
}
?>