<?php
class Rotator {
	var $griffin;
	var $default_page;
	function Rotator() {
	}
	function GetPage($id) {
		//i assume, that $this->griffin has been initialized and i can use it
		$this->griffin->u(array('total_hits = total_hits + 1'), 'Rotator_links', 'where id = '. $id);
		if ($this->griffin->sfrfv('COUNT(*)', 'Rotator_stats', 'where rotator_id = '. $id .' && _date = "'. date('Y-m-d') .'"') === "0") {
			//no record for today
			$this->griffin->i(array('_date' => date('Y-m-d'), 'rotator_id' => $id, 'hits' => 1), 'Rotator_stats');
		}
		else {
			//the record exists
			$this->griffin->u(array('hits = hits + 1'), 'Rotator_stats', 'where rotator_id = '. $id);
		}
		$this->griffin->d('Rotator_stats', 'where _date < "'. date('Y-m-d', (time() - 7 * 86400)) .'"');
		
		$condition = 'WHERE state = "Enabled"';
		if ($this->griffin->sfrfvi('value', 'adminprops', 'where field="negact"') === 0) $condition .= ' AND credits >= 1';
		$condition .= ' AND (cth < cph || cph=0) order by rand() limit 1';
		$site_data = $this->griffin->staa('*', 'site', $condition);
		if ($site_data === false) {
			//no suitable site found
			$site_data['url'] = $this->default_page;
			$site_data['id'] = -1;
		}
		else {
			//we need to update the data, associated with the url
			$this->griffin->q('UPDATE site SET credits=credits-1, cth=cth+1, totalhits=totalhits+1, hitslastmail=hitslastmail+1  WHERE id = '. $site_data['id']);
			$date = date('Y-m-d');
			$res = $this->griffin->q("select count(*) from 7statsite where siteid={$site_data['id']} && date='$date'");
			if (mysql_result($res, 0) === '0') $query = "insert into 7statsite (siteid, date, num) values ({$site_data['id']}, '$date', 1)";
			else $query = "update 7statsite set num=num+1 where siteid={$site_data['id']} && date='$date'";
			$this->griffin->q($query);
		}
		return $site_data['url'];
	}
	function SetDefaultPage($default_page) {
		$this->default_page = $default_page;
	}
	function GetRotatorStats() {
		return $this->griffin->staas('*', 'Rotator_stats');
	}
	function GetRotatorLinks() {
		return $this->griffin->staas('*', 'Rotator_links', 'order by id asc');
	}
	function GetLinkStats($id) {
		return $this->griffin->staas('*', 'Rotator_stats', 'where rotator_id = '. $id .' order by _date DESC');
	}
	function AddRotator($description) {
		$this->griffin->i(array('description' => $description), 'Rotator_links');
	}
	function DeleteRotator($id) {
		$this->griffin->d('Rotator_links', 'where id = '. $id);
		$this->griffin->d('Rotator_stats', 'where rotator_id = '. $id);
	}
	function GetRotatorValues($id) {
		return $this->griffin->staa('*', 'Rotator_links', 'where id = '. $id);
	}
}

?>