<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Include the {@link shared.make_timestamp.php} plugin
 */
require_once $smarty->_get_plugin_filepath('shared','make_timestamp');
/*
 Package: AutoHit Genrator (iHits.ir Clone Script)
 Release by : Omid Samadbin in P30vel.ir
 Copyright (c) 2007, 2008 P30vel Group, Inc.
 License: http://www.gnu.org/licenses/gpl.txt GNU Public License
 ------------------------------------------------------------------------------
 contact me : P30vel@gmail.com  Info@p30vel.ir
 Tel me : 0935 522 99 46
 Other My Site : MihanTeam.Com  ,  Samadbin.Com  ,  GigScript.Info
 ------------------------------------------------------------------------------
 P30vel.ir Is Firest And Best Publisher Nulled And Free PHP, ASP, Ajax,... Script
*/
function smarty_modifier_date_format($string, $format="%b %e, %Y", $default_date=null)
{
    if (substr(PHP_OS,0,3) == 'WIN') {
        $hours = strftime('%I', $string);
        $short_hours = ( $hours < 10 ) ? substr( $hours, -1) : $hours; 
        $_win_from = array ('%e',  '%T',       '%D',        '%l');
        $_win_to   = array ('%#d', '%H:%M:%S', '%m/%d/%y',  $short_hours);
        $format = str_replace($_win_from, $_win_to, $format);
    }
    if($string != '') {
        return strftime($format, smarty_make_timestamp($string));
    } elseif (isset($default_date) && $default_date != '') {
        return strftime($format, smarty_make_timestamp($default_date));
    } else {
        return;
    }
}

/* vim: set expandtab: */

?>
