<?php
class Account_Upgrade {
	/**
	 * obj of Cuscus
	 *
	 * @var Cuscus
	 */
	var $C;
	/**
	 * obj of PurchaseValidator
	 *
	 * @var PurchaseValidator
	 */
	var $PV;
	/**
	 * obj of Cashier
	 *
	 * @var Cashier
	 */
	var $Ca;
	/**
	 * obj of Smarty
	 *
	 * @var Smarty
	 */
	var $S;
	/**
	 * account upgrades' Offers Table
	 *
	 * @var string
	 */
	var $ot = 'Account_Upgrade_o';
	/**
	 * Purchases Table
	 *
	 * @var string
	 */
	var $pt = 'Account_Upgrade_p';
	/**
	 * Config Table
	 *
	 * @var string
	 */
	var $ct = 'Account_Upgrade_c';
	function p($page) {
		if ($page === 'admin') {
			//LJ autosurf control/index.php page for making offers out of account types
			global $y;
			
			if (isset($_GET['sp'])) {
				//subpage
				if ($_GET['sp'] === 'vp') {
					//view payments
					SmartyPaginate::connect('payments');
					SmartyPaginate::setTotal($this->gtp(), 'payments');
					SmartyPaginate::setLimit(20, 'payments');
					SmartyPaginate::setUrl('?y='.$y.'&sp=vp', 'payments');
					SmartyPaginate::assign($this->S, 'paginate', 'payments');
					
					$p = $this->C->staas('*', $this->pt, 'where sc = 1 order by id desc LIMIT '. SmartyPaginate::getCurrentIndex('payments').', '.SmartyPaginate::getLimit('payments'));	//payments
					foreach ($p as $data) {
						$this->C->u($this->pt, array('unseen' => 'no'), 'where id = '. $data['id']);
					}
					$this->S->assign('p', $p);
					$this->S->assign('y', $y);
					$this->S->assign('Cac', $this->Ca->gcd());
					$this->S->display('Account_Upgrade/view_payments.html');
					return;
				}
				elseif ($_GET['sp'] === 'a') {
					//advanced view for an offer
					if (isp('b_1')) {
						//update HTML template
						$this->C->u($this->ot, array('ht' => $this->C->re($_POST['ht']), 'umht' => isset($_POST['umht']) ? 'yes' : 'no'), 'where id = '. $_GET['id']);
					}
					elseif (isp('b_2')) {
						//save description
						$this->C->u($this->ot, array('drt' => addslashes($_POST['drt'])), 'where id='.$_GET['id']);
					}
					
					$Cac = $this->Ca->gcd();
					
					$this->S->assign('php_code', '<?php require_once("'.$Cac['libdir'].get_class($this).'.includer.php"); echo($'.get_class($this).'->ghc('.$_GET['id'].', USER_ID));?>');
					$this->S->assign('y', $y);
					$pd = $this->gpd($_GET['id']);	//package data
					$this->S->assign('pd', $pd);
					$this->S->assign('hc', $this->ghc($pd['id'], '9999'));	//HTML Code
					$this->S->display('Account_Upgrade/advanced.html');
					return;
				}
			}
			
			if (isp('b_1')) {
				//add subscription
				$ppu = isset($_POST['ppu']) ? 'yes' : 'no';
				$apu = isset($_POST['apu']) ? 'yes' : 'no';
				$this->C->i($this->ot, array('cb' => intval($_POST['cb']), 'cost' => round(doubleval($_POST['cost']), 2), 'spt' => $_POST['spt'], 'spl' => intval($_POST['spl']), '_show' => $_POST['_show'], 'ppu' => $ppu, 'apu' => $apu, 'name' => $this->C->re($_POST['name']), 'atid' => intval($_POST['atid'])));
			}
			elseif (isp('b_3')) {
				//delete subscription
				$this->C->d($this->ot, 'where id = '. $_POST['id']);
			}
			elseif (isp('b_4')) {
				//update subscription
				$ppu = isset($_POST['ppu']) ? 'yes' : 'no';
				$apu = isset($_POST['apu']) ? 'yes' : 'no';
				$this->C->u($this->ot, array('cb' => intval($_POST['cb']), 'cost' => round(doubleval($_POST['cost']), 2), 'spt' => $_POST['spt'], 'spl' => intval($_POST['spl']), '_show' => $_POST['_show'], 'ppu' => $ppu, 'apu' => $apu, 'name' => $this->C->re($_POST['name']), 'atid' => intval($_POST['atid'])), 'where id = '. $_POST['id']);
			}
			elseif (isp('b_7')) {
				//update config table
				$this->C->u($this->ct, array('ppint' => $this->C->re($_POST['ppint']), 'apint' => $this->C->re($_POST['apint']), 'mht' => $this->C->re($_POST['mht']), 'ru' => $this->C->re($_POST['ru']), 'cu' => $this->C->re($_POST['cu'])));
			}
			
			$this->S->assign('ats', $this->gats());	//Account TypeS
			$this->S->assign('_show_s', array('yes' => 'yes', 'no' => 'no'));
			$this->S->assign('pts', array('day' => 'day', 'week' => 'week', 'month' => 'month', 'year' => 'year')); //Period TypeS
			$this->S->assign('Cac', $this->Ca->gcd());
			$this->S->assign('ep', $this->gep());	//existing packages
			$this->S->assign('y', $y);
			$this->S->assign('c', $this->gcd());
			$this->S->assign('tp', $this->gtp());	//total payments
			$this->S->assign('up', $this->C->sfrfvi('COUNT(*)', $this->pt, 'where sc = 1 && unseen = "yes"'));	//unseen payments
			$this->S->display('Account_Upgrade/admin.html');
			return;
		}
		elseif ($page === 'members_buy') {
			global $user_id;
			$o = $this->C->staas('*', $this->ot, 'where _show = "yes"');	//Offers
			foreach ($o as &$d) {
				$d['hc'] = $this->ghc($d['id'], $user_id);
			}
			
			$this->S->assign('o', $o);
			$this->S->display('Account_Upgrade/members_buy.html');
		}
	}
	/**
	 * Get Existing Packages
	 *
	 * @return array
	 */
	function gep() {
		return $this->C->staas('*', $this->ot, 'order by id desc');
	}
	/**
	 * give upgrade. it is assumed that this function is called during the  IPN process - so $_POST and $_GET variables are fille d in
	 *
	 */
	function gu($params) {
		//we know for sure that we are dealing with a known payment processor
		$Cac = $this->Ca->gcd();
		$itn = 0;
		$uid = 0;
		if ($params[0] === 'paypal') {
			$itn = intval(gcpa('item_number'));
			$uid = intval(ggv('uid'));
		}
		elseif ($params[0] === 'alertpay') {
			$itn = intval(gcpa('ap_itemcode'));
			$uid = intval(gcpa('apc_2'));
		}
		
		$pd = $this->gpd($itn);
		if (!count($pd)) {
			//the package does not exist
			$d[1] = 4;
			$d[2] = 'Package id: '. $itn;
			ob_start();
			var_dump($_POST); var_dump($_GET);
			$alld = addslashes(ob_get_contents());
			ob_end_clean();
			$this->C->i($this->pt, array('_at' => date('Y-m-d H:i:s'), 'alld' => $alld, 'uid' => $uid, 'method' => $params[0], 'sc' => 4, 'st' => addslashes($d[2]), 'itn' => $itn));
			return;
		}
		$this->PV->cost = $pd['cost'];
		$this->PV->currency_code = $Cac['mc'];
		//package exists
		if ($params[0] === 'paypal') {
			$this->PV->receiver = $Cac['pme'];
			$this->PV->paypal_response = $params[1]['res'];
			$d = $this->PV->validate('paypal');
		}
		elseif ($params[0] === 'alertpay') {
			$this->PV->receiver = $Cac['ame'];
			$this->PV->alertpay_securitycode = $Cac['apsc'];
			$d = $this->PV->validate('alertpay');
		}
		
		$d[0]['itn'] = $itn;
		$d[0]['uid'] = $uid;
		if ($d[1] === 1) {
			if ($this->C->sfrfvi('COUNT(*)', $this->pt, 'where tid = "'.$this->C->re($d[0]['tid']).'" && sc = 1 && method="'.$params[0].'"')) {
				$d[1] = 8;
				$d[2] = 'tid: '. $d[0]['tid'];
			}
		}
		$ud = $this->C->staa('*', 'user', 'where id='.$uid);
		if (!count($ud)) {
			$d[1] = 11;
			$d[2] = 'uid: '.$uid;
		}
		
		$this->C->i($this->pt, array('_at' => date('Y-m-d H:i:s'), 'tid' => addslashes($d[0]['tid']), 'alld' => $this->C->re($d[0]['alld']), 'uid' => $d[0]['uid'], 'gross' => $d[0]['gross'], 'fee' => $d[0]['fee'], 'method' => $params[0], 'sc' => $d[1], 'st' => addslashes($d[2]), 'itn' => $d[0]['itn']));
		if ($d[1] === 1) {
			//no errors were encountered. give upgrade
			if ($ud['AUed'] < date('Y-m-d H:i:s')) {
				$this->C->u('user', array('AUed' => date('Y-m-d H:i:s', strtotime('+'.$pd['spl'].' '.$pd['spt'])), 'credits=credits+'.$pd['cb'], 'acctype' => $pd['atid']), 'where id='.$uid);
			}
			else {
				$this->C->u('user', array('AUed' => date('Y-m-d H:i:s', strtotime('+'.$pd['spl'].' '.$pd['spt'], strtotime($ud['AUed']))), 'credits=credits+'.$pd['cb'], 'acctype' => $pd['atid']), 'where id='.$uid);	//we simply need to lenghten the upgrade
			}
		}
	}
	/**
	 * get package data
	 *
	 * @param string/int $package_id
	 * @return unknown
	 */
	function gpd($package_id) {
		return $this->C->staa('*', $this->ot, 'where id = '. $package_id);
	}
	function gcd() {
		return $this->C->staa('*', $this->ct);
	}
	function gtp() {
		return $this->C->sfrfvi('COUNT(*)', $this->pt, 'where sc = 1');
	}
	/**
	 * substitute variables
	 *
	 * @param string $tpl
	 * @param array $vars
	 * @return string
	 */
	function sv($tpl, $vars) {
		foreach ($vars as $name => $val) {
			$tpl = str_replace($name, $val, $tpl);
		}
		return $tpl;
	}
	function gin($method, $package_id, $user_id) {
		$pd = $this->gpd($package_id);
		if (Cuscus::no_rows($pd)) return '';
		//package exists
		$c = $this->gcd();	//Config
		$t = '';	//template
		if ($method === 'paypal') $t = $c['ppint'];
		elseif ($method === 'alertpay') $t = $c['apint'];
		return $this->sv($t, array('[name]' => $pd['name'], '[package_id]' => $package_id, '[user_id]' => $user_id, '[bonus]' => $pd['cb']));
	}
	/**
	 * Get Button Code
	 *
	 * @param string/integer $package_id
	 * @param string/integer $user_id
	 * @param string $method
	 * @return string
	 */
	function gbc($package_id, $user_id, $method) {
		$pd = $this->gpd($package_id);
		if (Cuscus::no_rows($pd)) return '';
		$c = $this->gcd();	//Config
		$Cac = $this->Ca->gcd();
		$item_name = $this->gin($method, $package_id, $user_id);
		if ($method === 'paypal') {
			$types = array('day' => 'D', 'week' => 'W', 'month' => 'M', 'year' => 'Y');
			return $this->sv($c['ppsbt'], array('[business]' => $Cac['pme'], '[item_name]' => $item_name, '[item_number]' => $package_id, '[currency_code]' => $Cac['mc'], '[notify_url]' => $Cac['ipnsa'].'paypal.php?uid='.$user_id, '[a3]' => $pd['cost'], '[p3]' => $pd['spl'], '[t3]' => $types[$pd['spt']], '[ppsbil]' => $Cac['ppsbil'], '[return]' => $c['ru'], '[cancel_return]' => $c['cu']));
		}
		elseif ($method === 'alertpay') {
			return $this->sv($c['apsbt'], array('[ap_merchant]' => $Cac['ame'], '[ap_itemname]' => $item_name, '[ap_currency]' => $Cac['mc'], '[ap_returnurl]' => $c['ru'], '[ap_itemcode]' => $package_id, '[ap_amount]' => $pd['cost'], '[ap_cancelurl]' => $c['cu'], '[ap_timeunit]' => $pd['spt'], '[ap_periodlength]' => $pd['spl'], '[apc_2]' => $user_id, '[apsbil]' => $Cac['apsbil']));
		}
		return '';
	}
	/**
	 * Get HTML Code
	 *
	 */
	function ghc($package_id, $user_id) {
		$pd = $this->C->staa('*', $this->ot, 'where id='.$package_id);
		if (!count($pd)) return '';
		$c = $this->gcd();
		$Cac = $this->Ca->gcd();
		$atn = 'DELETED';
		$ats = $this->gats();
		$dh = $this->gdh($package_id);
		if (isset($ats[$pd['atid']])) $atn = $ats[$pd['atid']];
		$ppsbc = $pd['ppu'] === 'yes' ? $this->gbc($package_id, $user_id, 'paypal') : '';
		$apsbc = $pd['apu'] === 'yes' ? $this->gbc($package_id, $user_id, 'alertpay') : '';
		if ($pd['umht'] === 'yes') $hct = $c['mht'];	//HTML Code Template
		else $hct = $pd['ht'];
		return $this->sv($hct, array('[ppb]' => $ppsbc, '[apb]' => $apsbc, '[bonus]' => $pd['cb'], '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $c['mc'], '[name]' => $pd['name'], '[period_type]' => $pd['spt'], '[period_length]' => $pd['spl'], '[atn]' => $atn, '[description]' => $dh));
	}
	/**
	 * get currency sign
	 *
	 * @param string $code
	 * @return string
	 */
	function gcs($code) {
		if ($code === 'EUR') return '&euro;';
		if ($code === 'USD') return '$';
		return '';
	}
	/**
	 * Get E-gold Payment Unit
	 *
	 * @param string $code
	 * @return integer
	 */
	function gepu($code) {
		if ($code === 'EUR') return 85;
		if ($code === 'USD') return 1;
		return 1;	//default
	}
	/**
	 * Get Account TypeS
	 *
	 * @return array
	 */
	function gats() {
		$ats = $this->C->staas('*', 'acctype', 'where id != 1 order by id asc');
		$ats2 = array();
		foreach ($ats as $d) {
			$ats2[$d['id']] = $d['name'];
		}
		return $ats2;
	}
	/**
	 * Get Existing Packages That Are To Be Shown (_show = "yes")
	 *
	 */
	function geptartbs() {
		return $this->C->staas('*', $this->ot, 'where _show ="yes"');
	}
	/**
	 * Get Description HTML
	 *
	 * @param str/int $package_id
	 */
	function gdh($package_id) {
		$pd = $this->C->staa('*', $this->ot, 'where id='.$package_id);	//Package Data
		$atn = 'DELETED';
		$ats = $this->gats();
		if (isset($ats[$pd['atid']])) $atn = $ats[$pd['atid']];
		$Cac = $this->Ca->gcd();
		return $this->sv($pd['drt'], array('[name]' => $pd['name'], '[bonus]' => $pd['cb'], '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $Cac['mc'], '[period_type]' => $pd['spt'], '[period_length]' => $pd['spl'], '[atn]' => $atn));
	}
	/**
	 * Get Number Of Unseen Payments
	 *
	 * @return int
	 */
	function gnoup() {
		return $this->C->sfrfvi('COUNT(*)', $this->pt, 'where unseen="yes" && sc = 1');
	}
	/**
	 * Degrade expired users
	 *
	 */
	function deu() {
		$this->C->u('user', array('acctype' => 1), 'where AUed <= "'.date('Y-m-d H:i:s', strtotime('-1 day')).'"');
	}
}
?>