<?php
class Mixed_Products {
	/**
	 * obj of Cuscus
	 *
	 * @var Cuscus
	 */
	var $C;
	/**
	 * obj of PurchaseValidator
	 *
	 * @var PurchaseValidator
	 */
	var $PV;
	/**
	 * Enter description here...
	 *
	 * @var General_Products
	 */
	var $GP;
	/**
	 * obj of Sell_Credits
	 *
	 * @var Sell_Credits
	 */
	var $SC;
	/**
	 * obj of Account_Upgrade
	 *
	 * @var Account_Upgrade
	 */
	var $AU;
	/**
	 * obj of Cashier
	 *
	 * @var Cashier
	 */
	var $Ca;
	/**
	 * obj of Smarty
	 *
	 * @var Smarty
	 */
	var $S;
	/**
	 * Purchases Table
	 *
	 * @var string
	 */
	var $pt = 'Mixed_Products_purchases';
	/**
	 * Config Table
	 *
	 * @var string
	 */
	var $ct = 'Mixed_Products_config';
	function p($page) {
		if ($page === 'admin') {
			//LJ autosurf control/index.php page for making offers out of account types
			global $y;
			
			if (isset($_GET['sp'])) {
				//subpage
				if ($_GET['sp'] === 'vp') {
					//view payments
					SmartyPaginate::connect('payments');
					SmartyPaginate::setTotal($this->gtp(), 'payments');
					SmartyPaginate::setLimit(20, 'payments');
					SmartyPaginate::setUrl('?y='.$y.'&sp=vp', 'payments');
					SmartyPaginate::assign($this->S, 'paginate', 'payments');
					
					$p = $this->C->staas('*', $this->pt, 'where sc = 1 order by id desc LIMIT '. SmartyPaginate::getCurrentIndex('payments').', '.SmartyPaginate::getLimit('payments'));	//payments
					foreach ($p as &$data) {
						$this->C->u($this->pt, array('unseen' => 'no'), 'where id = '. $data['id']);
						$data['itns'] = explode('|', $data['itns']);
						$new_itns = array();
						foreach ($data['itns'] as $i) {
							$t = substr($i, -2, 2);
							$pn = intval($i);
							$new_itns[] = array('pn' => $pn, 't' => $t);
						}
						$data['itns'] = $new_itns;
					}
					$this->S->assign('p', $p);
					$this->S->assign('y', $y);
					$this->S->assign('Cac', $this->Ca->gcd());
					$this->S->display('Mixed_Products/view_payments.html');
					return;
				}
			}
			
			if (isp('b_7')) {
				//update config table
				$this->C->u($this->ct, array('ppint' => $this->C->re($_POST['ppint']), 'apint' => $this->C->re($_POST['apint']), 'mht' => $this->C->re($_POST['mht']), 'ru' => $this->C->re($_POST['ru']), 'cu' => $this->C->re($_POST['cu'])));
			}
			
			$this->S->assign('y', $y);
			$this->S->assign('c', $this->gcd());
			$this->S->assign('up', $this->C->sfrfvi('COUNT(*)', $this->pt, 'where sc = 1 && unseen = "yes"'));	//unseen payments
			$this->S->assign('tp', $this->gtp());
			$this->S->display('Mixed_Products/admin.html');
		}
		elseif ($page === 'cart') {
			global $user_id;
			
			if (isp('b_1')) {
				//add to cart
				$_SESSION['cart'][substr($_POST['p'], -2, 2)][] = intval($_POST['p']);	//e.g. ['cart']['cp'][1] = 17;
			}
			elseif (isp('b_2')) {
				//remove element from cart
				foreach ($_SESSION['cart'][$_POST['type']] as $num => $d) {
					if ($d === intval($_POST['id'])) {
						unset ($_SESSION['cart'][$_POST['type']][$num]);
						break;
					}
				}
			}
			elseif (isp('b_3')) {
				unset($_SESSION['cart']);
			}
			if (!isset($_SESSION['cart']['cp'])) $_SESSION['cart']['cp'] = array();
			if (!isset($_SESSION['cart']['gp'])) $_SESSION['cart']['gp'] = array();
			
			$acp = $this->SC->geptartbs();	//Available Credit Packages
			$ap = array();
			foreach ($acp as $data) {
				if ($data['bt'] === 'BO') $ap[$data['id'].'cp'] = $data['name'];
			}
			
			$agp = $this->GP->geptartbs();	//Available General Products
			foreach ($agp as $data) {
				if ($data['bt'] === 'BO') $ap[$data['id'].'gp'] = $data['name'];
			}
			$cc = array();	//Cart's contents
			foreach ($_SESSION['cart']['cp'] as $d) {
				$pd = $this->SC->gpd($d);
				$cc[] = array('name' => $pd['name'], 'cost' => $pd['cost'], 'type' => 'cp', 'id' => $d);
			}
			foreach ($_SESSION['cart']['gp'] as $d) {
				$pd = $this->GP->gpd($d);
				$cc[] = array('name' => $pd['name'], 'cost' => $pd['cost'], 'type' => 'gp', 'id' => $d);
			}
			
			$this->S->assign('tp', $this->cbp());	//Total Price
			$this->S->assign('Cac', $this->Ca->gcd());
			$this->S->assign('ap', $ap);
			$this->S->assign('cc', $cc);
			if (count($cc)) {
				$this->S->assign('ppbc', $this->gbc($user_id, 'paypal'));
				$this->S->assign('apbc', $this->gbc($user_id, 'alertpay'));
			}
			$this->S->display('Mixed_Products/cart.html');
		}
		elseif ($page === 'subscriptions') {
			global $user_id;
			
			$ud = $this->C->staa('*', 'user', 'where id='.$user_id);	//User Data
			$ap = array();	//Available Products
			$cp = $this->SC->geptartbs();
			$au = $this->AU->geptartbs();
			$gp = $this->GP->geptartbs();
			foreach ($cp as $d) if ($d['bt'] === 'SUB') $ap[$d['id'].'cp'] = $d['name'];
			foreach ($au as $d) if ($ud['acctype'] !== $d['atid']) $ap[$d['id'].'au'] = $d['name'];	//Add the upgrade if the user doesnt have it yet
			foreach ($gp as $d) if ($d['bt'] === 'SUB') $ap[$d['id'].'gp'] = $d['name'];
			
			$this->S->assign('ap', $ap);
			$this->S->display('Mixed_Products/subscriptions.html');
		}
	}
	/**
	 * Get Existing Packages
	 *
	 * @return array
	 */
	function gep() {
		return $this->C->staas('*', $this->ot, 'order by id desc');
	}
	/**
	 * Give Bundle
	 *
	 */
	function gb($params) {
		//we know for sure that we are dealing with a known payment processor
		$Cac = $this->Ca->gcd();
		$itn = 0;
		$uid = 0;
		if ($params[0] === 'paypal') {
			$itn = gcpa('item_number');
			$uid = intval(ggv('uid'));
		}
		elseif ($params[0] === 'alertpay') {
			$itn = gcpa('ap_itemcode');
			$uid = intval(gcpa('apc_2'));
		}
		$bp = $this->ebacp($itn);	//Bundle Price
		if ($bp === false) {
			//a component of the bundle does not exist
			$d[1] = 4;
			$d[2] = 'Bundle: '. $bp;
			ob_start();
			var_dump($_POST); var_dump($_GET);
			$alld = addslashes(ob_get_contents());
			ob_end_clean();
			$this->C->i($this->pt, array('_at' => date('Y-m-d H:i:s'), 'alld' => $alld, 'uid' => $uid, 'method' => $params[0], 'sc' => 4, 'st' => addslashes($d[2]), 'itns' => intval($itn)));
			return;
		}
		
		$this->PV->cost = $bp;
		$this->PV->currency_code = $Cac['mc'];
		//package exists
		if ($params[0] === 'paypal') {
			$this->PV->receiver = $Cac['pme'];
			$this->PV->paypal_response = $params[1]['res'];
			$d = $this->PV->validate('paypal');
		}
		elseif ($params[0] === 'alertpay') {
			$this->PV->receiver = $Cac['ame'];
			$this->PV->alertpay_securitycode = $Cac['apsc'];
			$d = $this->PV->validate('alertpay');
		}
		
		$d[0]['itn'] = $itn;
		$d[0]['uid'] = $uid;
		if ($d[1] === 1) {
			if ($this->C->sfrfvi('COUNT(*)', $this->pt, 'where tid = "'.$this->C->re($d[0]['tid']).'" && sc = 1 && method="'.$params[0].'"')) {
				$d[1] = 8;
				$d[2] = 'tid: '. $d[0]['tid'];
			}
		}
		$ud = $this->C->staa('*', 'user', 'where id='.$uid);
		if (!count($ud)) {
			$d[1] = 11;
			$d[2] = 'uid: '.$uid;
		}
		
		$this->C->i($this->pt, array('_at' => date('Y-m-d H:i:s'), 'tid' => addslashes($d[0]['tid']), 'alld' => $this->C->re($d[0]['alld']), 'uid' => $d[0]['uid'], 'gross' => $d[0]['gross'], 'fee' => $d[0]['fee'], 'method' => $params[0], 'sc' => $d[1], 'st' => addslashes($d[2]), 'itns' => $d[0]['itn']));
		if ($d[1] === 1) {
			//no errors were encountered. give stuff
			$b = explode('|', $itn);	//Bundle
			foreach ($b as $i) {	//$i - Item. e.g. "23cp"
				$t = substr($i, -2, 2);	//Type
				$pn = intval($i);	//Package Number
				if ($t === 'cp') {
					$pd = $this->SC->gpd($pn);
					$this->C->i($this->SC->crps, array('tid' => $d[0]['tid'], 'alld' => addslashes($d[0]['alld']), '_at' => date('Y-m-d H:i:s'), 'uid' => $uid, 'gross' => $d[0]['gross'], 'fee' => $d[0]['fee'], 'method' => $params[0], 'sc' => 1, 'st' => 'BundleSuccess', 'itn' => $pn));
					$this->C->u('user', array('credits=credits+'.$pd['amount']), 'where id='.$uid);
				}
				elseif ($t === 'gp') {
					$this->C->i($this->GP->put, array('tid' => $d[0]['tid'], 'alld' => addslashes($d[0]['alld']), '_at' => date('Y-m-d H:i:s'), 'uid' => $uid, 'gross' => $d[0]['gross'], 'fee' => $d[0]['fee'], 'method' => $params[0], 'sc' => 1, 'st' => 'BundleSuccess', 'itn' => $pn));
					$pd = $this->GP->gpd($pn);
					if ($pd['sac'] !== '0') {
						$this->GP->SA->gsa($uid, $pd['sac']);
					}
				}
			}
		}
	}
	function gcd() {
		return $this->C->staa('*', $this->ct);
	}
	/**
	 * substitute variables
	 *
	 * @param string $tpl
	 * @param array $vars
	 * @return string
	 */
	function sv($tpl, $vars) {
		foreach ($vars as $name => $val) {
			$tpl = str_replace($name, $val, $tpl);
		}
		return $tpl;
	}
	/**
	 * Get Item Name for Mixed Products
	 *
	 * @param str $method
	 * @param str/int $user_id
	 * @return str
	 */
	function ginmp($method, $user_id) {
		//package exists
		$c = $this->gcd();	//Config
		$t = '';	//template
		if ($method === 'paypal') $t = $c['ppint'];
		elseif ($method === 'alertpay') $t = $c['apint'];
		return $this->sv($t, array('[user_id]' => $user_id));
	}
	/**
	 * Get Button Code for the current cart's contents
	 *
	 * @param string/integer $user_id
	 * @param string $method
	 * @return string
	 */
	function gbc($user_id, $method) {
		$c = $this->gcd();	//Config
		$Cac = $this->Ca->gcd();
		$item_name = $this->ginmp($method, $user_id);
		if ($method === 'paypal') {
			return $this->sv($c['ppbobt'], array('[pme]' => $Cac['pme'], '[item_name]' => $item_name, '[package_id]' => $this->gccn(), '[currency_code]' => $Cac['mc'], '[ipn_url]' => $Cac['ipnsa'].'paypal.php?uid='.$user_id, '[amount]' => $this->cbp(), '[ppbobil]' => $Cac['ppbobil'], '[return]' => $c['ru'], '[cancel_return]' => $c['cu']));
		}
		elseif ($method === 'alertpay') {
			return $this->sv($c['apbobt'], array('[ap_merchant]' => $Cac['ame'], '[ap_itemname]' => $item_name, '[ap_currency]' => $Cac['mc'], '[ap_returnurl]' => $c['ru'], '[ap_itemcode]' => $this->gccn(), '[ap_amount]' => $this->cbp(), '[ap_cancelurl]' => $c['cu'], '[apc_2]' => $user_id, '[apbobil]' => $Cac['apbobil']));
		}
		return '';
	}
	/**
	 * Get HTML Code
	 *
	 */
	function ghc($package_id, $user_id) {
		$pd = $this->C->staa('*', $this->ot, 'where id='.$package_id);
		if (!count($pd)) return '';
		$c = $this->gcd();
		$Cac = $this->Ca->gcd();
		$atn = 'DELETED';
		$ats = $this->gats();
		if (isset($ats[$pd['atid']])) $atn = $ats[$pd['atid']];
		$ppsbc = $pd['ppu'] === 'yes' ? $this->gbc($package_id, $user_id, 'paypal') : '';
		$apsbc = $pd['apu'] === 'yes' ? $this->gbc($package_id, $user_id, 'alertpay') : '';
		if ($pd['umht'] === 'yes') $hct = $c['mht'];	//HTML Code Template
		else $hct = $pd['ht'];
		return $this->sv($hct, array('[ppb]' => $ppsbc, '[apb]' => $apsbc, '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $c['mc'], '[name]' => $pd['name'], '[period_type]' => $pd['spt'], '[period_length]' => $pd['spl'], '[atn]' => $atn));
		return '';
	}
	/**
	 * get currency sign
	 *
	 * @param string $code
	 * @return string
	 */
	function gcs($code) {
		if ($code === 'EUR') return '&euro;';
		if ($code === 'USD') return '$';
		return '';
	}
	/**
	 * Get E-gold Payment Unit
	 *
	 * @param string $code
	 * @return integer
	 */
	function gepu($code) {
		if ($code === 'EUR') return 85;
		if ($code === 'USD') return 1;
		return 1;	//default
	}
	/**
	 * Get Account TypeS
	 *
	 * @return array
	 */
	function gats() {
		$ats = $this->C->staas('*', 'acctype', 'where id != 1 order by id asc');
		$ats2 = array();
		foreach ($ats as $d) {
			$ats2[$d['id']] = $d['name'];
		}
		return $ats2;
	}
	function gtp() {
		return $this->C->sfrfvi('COUNT(*)', $this->pt, 'where sc=1');
	}
	/**
	 * Calculate Bundle Price
	 *
	 */
	function cbp() {
		$tp = 0;	//Total Price
		foreach ($_SESSION['cart'] as $key => $val) {
			foreach ($val as $pn) {	//$pn - Package Number
				$pd = array();
				if ($key === 'cp') $pd = $this->SC->gpd($pn);
				elseif ($key === 'gp') $pd = $this->GP->gpd($pn);
				if (!count($pd)) return false;
				$tp += doubleval($pd['cost']);
			}
		}
		return round($tp, 2);
	}
	/**
	 * Get Cart Content's Name for [item number].
	 *
	 */
	function gccn() {
		$names = array();
		foreach ($_SESSION['cart'] as $key => $val) {
			foreach ($val as $pn) {	//$pn - Package Number
				$names[] = $pn.$key;
			}
		}
		return implode('|', $names);
	}
	/**
	 * Explode Bundle And Calculate Price
	 *
	 * @param string $b
	 * @return double/bool
	 */
	function ebacp($b) {
		$b = explode('|', $b);
		$tp = 0;	//Total Price
		foreach ($b as $i) {	//$i - Item. e.g. "23cp"
			$t = substr($i, -2, 2);	//Type
			$pn = intval($i);	//Package Number
			if ($t === 'cp') $pd = $this->SC->gpd($pn);
			elseif ($t === 'gp') $pd = $this->GP->gpd($pn);
			if (!isset($pd['cost'])) return false;
			$tp += $pd['cost'];
		}
		return $tp;
	}
	/**
	 * Get Number Of Unseen Payments
	 *
	 * @return int
	 */
	function gnoup() {
		return $this->C->sfrfvi('COUNT(*)', $this->pt, 'where unseen="yes" && sc = 1');
	}
}
?>