<?php
/*
	Dependencies:
		class Cuscus
		class Smarty
		class Cashier
		class PurchaseValidator
		function isp
*/
class Sell_Credits {
	/**
	 * obj of Cuscus
	 *
	 * @var Cuscus
	 */
	var $C;
	/**
	 * obj of PurchaseValidator
	 *
	 * @var PurchaseValidator
	 */
	var $PV;
	/**
	 * obj of Cashier
	 *
	 * @var Cashier
	 */
	var $Ca;
	/**
	 * obj of Smarty
	 *
	 * @var Smarty
	 */
	var $S;
	/**
	 * CRedit Packages Table
	 *
	 * @var string
	 */
	var $crpt = 'Sell_Credits_packages';
	/**
	 * CRedit PurchaseS
	 *
	 * @var string
	 */
	var $crps = 'Sell_Credits_purchases';	//log table
	var $ct = 'Sell_Credits_config';	//config table
	function p($page) {
		if ($page === 'admin_credit_packages') {
			//LJ autosurf control/index.php substitution for "Sell credits" page
			global $y;
			
			if (isset($_GET['sp'])) {
				//subpage
				if ($_GET['sp'] === 'vp') {
					//view payments
					SmartyPaginate::connect('payments');
					SmartyPaginate::setLimit(20, 'payments');

					$p = $this->C->staas('SQL_CALC_FOUND_ROWS pu.*, pa.bt', $this->crps.' pu', 'left join '. $this->crpt.' pa on pa.id=pu.itn where pu.sc IN (1, 11) order by pu.id desc LIMIT '. SmartyPaginate::getCurrentIndex('payments').','.SmartyPaginate::getLimit('payments'));	//payments
					SmartyPaginate::setTotal($this->C->fr(), 'payments');
					SmartyPaginate::setUrl('?sp=vp&y='.$y, 'payments');
					SmartyPaginate::assign($this->S, 'paginate', 'payments');
					foreach ($p as $data) {
						$this->C->u($this->crps, array('unseen' => 'no'), 'where id = '. $data['id']);
					}
					$this->S->assign('p', $p);
					$this->S->assign('y', $y);
					$this->S->assign('Cac', $this->Ca->gcd());
					$this->S->display('Sell_Credits/view_payments.html');
					return;
				}
				elseif ($_GET['sp'] === 'a') {
					//advanced view for credit package
					if (isp('b_1')) {
						//update HTML template
						$this->C->u($this->crpt, array('ht' => $this->C->re($_POST['ht']), 'umht' => isset($_POST['umht']) ? 'yes' : 'no'), 'where id = '. $_GET['id']);
					}
					elseif (isp('b_2')) {
						//save description
						$this->C->u($this->crpt, array('drt' => addslashes($_POST['drt'])), 'where id='.$_GET['id']);
					}
					
					$Cac = $this->Ca->gcd();
					
					$this->S->assign('php_code', '<?php require_once("'.$Cac['libdir'].get_class($this).'.includer.php"); echo($'.get_class($this).'->ghc('.$_GET['id'].', USER_ID));?>');
					$this->S->assign('y', $y);
					$pd = $this->gpd($_GET['id']);	//package data
					$this->S->assign('pd', $pd);
					$this->S->assign('hc', $this->ghc($pd['id'], '9999'));	//HTML Code
					$this->S->display('Sell_Credits/advanced.html');
					return;
				}
			}
			
			if (isp('b_1')) {
				//add credit package subscription
				$ppu = isset($_POST['ppu']) ? 'yes' : 'no';
				$apu = isset($_POST['apu']) ? 'yes' : 'no';
				$egu = isset($_POST['egu']) ? 'yes' : 'no';
				$this->C->i($this->crpt, array('amount' => intval($_POST['amount']), 'cost' => round(doubleval($_POST['cost']), 2), 'bt' => 'SUB', 'spt' => $_POST['spt'], 'spl' => intval($_POST['spl']), '_show' => $_POST['_show'], 'ppu' => $ppu, 'apu' => $apu, 'egu' => $egu, 'name' => $this->C->re($_POST['name'])));
			}
			elseif (isp('b_2')) {
				//add credit package buy once
				$ppu = isset($_POST['ppu']) ? 'yes' : 'no';
				$apu = isset($_POST['apu']) ? 'yes' : 'no';
				$egu = isset($_POST['egu']) ? 'yes' : 'no';
				$this->C->i($this->crpt, array('amount' => intval($_POST['amount']), 'cost' => round(doubleval($_POST['cost']), 2), 'bt' => 'BO', '_show' => $_POST['_show'], 'ppu' => $ppu, 'apu' => $apu, 'egu' => $egu, 'name' => $this->C->re($_POST['name'])));
			}
			elseif (isp('b_3')) {
				//delete credit package subscription
				$this->C->d($this->crpt, 'where id = '. $_POST['id']);
			}
			elseif (isp('b_4')) {
				//update credit package subscription
				$ppu = isset($_POST['ppu']) ? 'yes' : 'no';
				$apu = isset($_POST['apu']) ? 'yes' : 'no';
				$egu = isset($_POST['egu']) ? 'yes' : 'no';
				$this->C->u($this->crpt, array('amount' => intval($_POST['amount']), 'cost' => round(doubleval($_POST['cost']), 2), 'spt' => $_POST['spt'], 'spl' => intval($_POST['spl']), '_show' => $_POST['_show'], 'ppu' => $ppu, 'apu' => $apu, 'egu' => $egu, 'name' => $this->C->re($_POST['name'])), 'where id = '. $_POST['id']);
			}
			elseif (isp('b_5')) {
				//delete credit package buy once
				$this->C->d($this->crpt, 'where id = '. $_POST['id']);
			}
			elseif (isp('b_6')) {
				//update credit package buy once
				$ppu = isset($_POST['ppu']) ? 'yes' : 'no';
				$apu = isset($_POST['apu']) ? 'yes' : 'no';
				$egu = isset($_POST['egu']) ? 'yes' : 'no';
				$this->C->u($this->crpt, array('amount' => intval($_POST['amount']), 'cost' => round(doubleval($_POST['cost']), 2), '_show' => $_POST['_show'], 'ppu' => $ppu, 'apu' => $apu, 'egu' => $egu, 'name' => $this->C->re($_POST['name'])), 'where id = '. $_POST['id']);
			}
			elseif (isp('b_7')) {
				//update config table
				$this->C->u($this->ct, array('ppint' => $this->C->re($_POST['ppint']), 'apint' => $this->C->re($_POST['apint']), 'egint' => $this->C->re($_POST['egint']), 'mht' => $this->C->re($_POST['mht']), 'ru' => $this->C->re($_POST['ru']), 'cu' => $this->C->re($_POST['cu'])));
			}
			
			$this->S->assign('_show_s', array('yes' => 'yes', 'no' => 'no'));
			$this->S->assign('pts', array('day' => 'day', 'week' => 'week', 'month' => 'month', 'year' => 'year')); //Period TypeS
			$this->S->assign('Cac', $this->Ca->gcd());
			$this->S->assign('ep', $this->gep());	//existing packages
			$this->S->assign('y', $y);
			$this->S->assign('c', $this->gcd());
			$this->S->assign('tp', $this->gtp());	//total payments
			$this->S->assign('up', $this->C->sfrfvi('COUNT(*)', $this->crps, 'where sc = 1 && unseen = "yes"'));	//unseen payments
			$this->S->display('Sell_Credits/admin_credit_packages.html');
			return;
		}
		elseif ($page === 'members_buy') {
			global $user_id;
			$cp = $this->C->staas('*', $this->crpt, 'where _show = "yes"');	//Credit Packages
			foreach ($cp as &$d) {
				$d['hc'] = $this->ghc($d['id'], $user_id);
			}
			
			$this->S->assign('cp', $cp);
			$this->S->display('Sell_Credits/members_buy.html');
		}
	}
	/**
	 * Get Existing Packages
	 *
	 * @return array
	 */
	function gep() {
		return $this->C->staas('*', $this->crpt, 'order by id desc');
	}
	/**
	 * give credits.
	 *
	 */
	function gc($params) {
		//we know for sure that we are dealing with a known payment processor
		$Cac = $this->Ca->gcd();
		$itn = 0;
		$uid = 0;
		if ($params[0] === 'paypal') {
			$itn = intval(gcpa('item_number'));
			$uid = intval(ggv('user_id'));
		}
		elseif ($params[0] === 'alertpay') {
			$itn = intval(gcpa('ap_itemcode'));
			$uid = intval(gcpa('apc_2'));
		}
		elseif ($params[0] === 'egold') {
			$itn = intval(gcpa('package_id'));
			$uid = intval(gcpa('user_id'));
		}
		
		$pd = $this->gpd($itn);
		if (!count($pd)) {
			//the package does not exist
			$d[1] = 4;
			$d[2] = 'Package id: '. $itn;
			ob_start();
			var_dump($_POST); var_dump($_GET);
			$alld = addslashes(ob_get_contents());
			ob_end_clean();
			$this->C->i($this->crps, array('_at' => date('Y-m-d H:i:s'), 'alld' => $alld, 'uid' => $uid, 'method' => $params[0], 'sc' => 4, 'st' => addslashes('package id: '.$itn), 'itn' => $itn));
			return;
		}
		$this->PV->cost = $pd['cost'];
		$this->PV->currency_code = $Cac['mc'];
		//package exists
		if ($params[0] === 'paypal') {
			$this->PV->receiver = $Cac['pme'];
			$this->PV->paypal_response = $params[1]['res'];
			$d = $this->PV->validate('paypal');
		}
		elseif ($params[0] === 'alertpay') {
			$this->PV->receiver = $Cac['ame'];
			$this->PV->alertpay_securitycode = $Cac['apsc'];
			$d = $this->PV->validate('alertpay');
		}
		elseif ($params[0] === 'egold') {
			$this->PV->receiver = $Cac['ean'];
			$this->PV->egold_alternate_password = $Cac['eap'];
			$d = $this->PV->validate('egold');
		}
		$d[0]['itn'] = $itn;
		$d[0]['uid'] = $uid;
		if ($d[1] === 1) {
			if ($this->C->sfrfvi('COUNT(*)', $this->crps, 'where tid = "'.$this->C->re($d[0]['tid']).'" && sc = 1 && method="'.$params[0].'"')) {
				$d[1] = 8;
				$d[2] = 'tid: '. $d[0]['tid'];
			}
		}
		$ud = $this->C->staa('*', 'user', 'where id='.$uid);
		if (!count($ud)) {
			$d[1] = 11;
			$d[2] = 'uid: '.$uid;
		}
		
		$this->C->i($this->crps, array('_at' => date('Y-m-d H:i:s'), 'tid' => addslashes($d[0]['tid']), 'alld' => $this->C->re($d[0]['alld']), 'uid' => $d[0]['uid'], 'gross' => $d[0]['gross'], 'fee' => $d[0]['fee'], 'method' => $params[0], 'sc' => $d[1], 'st' => addslashes($d[2]), 'itn' => $d[0]['itn']));
		
		if ($d[1] === 1) {
			//no errors were encountered. give credits
			$this->C->u('user', array('credits = credits+'.$pd['amount']), 'where id='.$uid);
		}
	}
	/**
	 * get package data
	 *
	 * @param string/int $package_id
	 * @return unknown
	 */
	function gpd($package_id) {
		return $this->C->staa('*', $this->crpt, 'where id = '. $package_id);
	}
	function gcd() {
		return $this->C->staa('*', $this->ct);
	}
	function gtp() {
		return $this->C->sfrfvi('COUNT(*)', $this->crps, 'where sc = 1');
	}
	/**
	 * substitute variables
	 *
	 * @param string $tpl
	 * @param array $vars
	 * @return string
	 */
	function sv($tpl, $vars) {
		foreach ($vars as $name => $val) {
			$tpl = str_replace($name, $val, $tpl);
		}
		return $tpl;
	}
	function gin($method, $package_id, $user_id) {
		$pd = $this->gpd($package_id);
		if (Cuscus::no_rows($pd)) return '';
		//package exists
		$c = $this->gcd();	//Config
		$t = '';	//template
		if ($method === 'paypal') $t = $c['ppint'];
		elseif ($method === 'alertpay') $t = $c['apint'];
		elseif ($method === 'egold') $t = $c['egint'];
		return $this->sv($t, array('[name]' => $pd['name'], '[package_id]' => $package_id, '[user_id]' => $user_id, '[amount]' => $pd['amount']));
	}
	/**
	 * Get Button Code
	 *
	 * @param string/integer $package_id
	 * @param string/integer $user_id
	 * @param string $method
	 * @return string
	 */
	function gbc($package_id, $user_id, $method) {
		$pd = $this->gpd($package_id);
		if (Cuscus::no_rows($pd)) return '';
		$c = $this->gcd();	//Config
		$Cac = $this->Ca->gcd();
		$item_name = $this->gin($method, $package_id, $user_id);
		if ($pd['bt'] === 'BO') {
			if ($method === 'paypal') {
				return $this->sv($c['ppbobt'], array('[pme]' => $Cac['pme'], '[item_name]' => $item_name, '[package_id]' => $package_id, '[amount]' => $pd['cost'], '[currency_code]' => $Cac['mc'], '[ipn_url]' => $Cac['ipnsa'].'paypal.php?user_id='.$user_id, '[cancel_return]' => $c['cu'], '[return]' => $c['ru'], '[ppbobil]' => $Cac['ppbobil']));
			}
			elseif ($method === 'alertpay') {
				return $this->sv($c['apbobt'], array('[ap_merchant]' => $Cac['ame'], '[ap_itemname]' => $item_name, '[ap_itemcode]' => $package_id, '[ap_amount]' => $pd['cost'], '[ap_currency]' => $Cac['mc'], '[apc_2]' => $user_id, '[ap_returnurl]' => $c['ru'], '[ap_cancelurl]' => $c['cu'], '[apbobil]' => $Cac['apbobil']));
			}
			elseif ($method === 'egold') {
				return $this->sv($c['egbobt'], array('[PAYEE_ACCOUNT]' => $Cac['ean'], '[PAYMENT_AMOUNT]' => $pd['cost'], '[PAYMENT_UNITS]' => $this->gepu($Cac['mc']), '[PAYMENT_METAL_ID]' => 1, '[PAYMENT_ID]' => $item_name, '[STATUS_URL]' => $Cac['ipnsa'].'egold.php', '[PAYMENT_URL]' => $c['ru'], '[NOPAYMENT_URL]' => $c['cu'], '[user_id]' => $user_id, '[package_id]' => $package_id, '[PAYEE_NAME]' => $Cac['epn'], '[egbobil]' => $Cac['egbobil']));
			}
		}
		elseif ($pd['bt'] === 'SUB') {
			if ($method === 'paypal') {
				$types = array('day' => 'D', 'week' => 'W', 'month' => 'M', 'year' => 'Y');
				return $this->sv($c['ppsbt'], array('[business]' => $Cac['pme'], '[item_name]' => $item_name, '[item_number]' => $package_id, '[currency_code]' => $Cac['mc'], '[notify_url]' => $Cac['ipnsa'].'paypal.php?user_id='.$user_id, '[a3]' => $pd['cost'], '[p3]' => $pd['spl'], '[t3]' => $types[$pd['spt']], '[ppsbil]' => $Cac['ppsbil'], '[return]' => $c['ru'], '[cancel_return]' => $c['cu']));
			}
			elseif ($method === 'alertpay') {
				return $this->sv($c['apsbt'], array('[ap_merchant]' => $Cac['ame'], '[ap_itemname]' => $item_name, '[ap_currency]' => $Cac['mc'], '[ap_returnurl]' => $c['ru'], '[ap_itemcode]' => $package_id, '[ap_amount]' => $pd['cost'], '[ap_cancelurl]' => $c['cu'], '[ap_timeunit]' => $pd['spt'], '[ap_periodlength]' => $pd['spl'], '[apc_2]' => $user_id, '[apsbil]' => $Cac['apsbil']));
			}
		}
		return '';
	}
	/**
	 * Get HTML Code
	 *
	 */
	function ghc($package_id, $user_id) {
		$pd = $this->C->staa('*', $this->crpt, 'where id='.$package_id);
		if (!count($pd)) return '';
		$c = $this->gcd();
		$Cac = $this->Ca->gcd();
		$dh = $this->gdh($package_id);
		if ($pd['bt'] === 'BO') {
			$ppbobc = $pd['ppu'] === 'yes' ? $this->gbc($package_id, $user_id, 'paypal') : '';
			$apbobc = $pd['apu'] === 'yes' ? $this->gbc($package_id, $user_id, 'alertpay') : '';
			$egbobc = $pd['egu'] === 'yes' ? $this->gbc($package_id, $user_id, 'egold') : '';
			if ($pd['umht'] === 'yes') $hct = $c['mht'];	//HTML Code Template
			else $hct = $pd['ht'];
			return $this->sv($hct, array('[ppb]' => $ppbobc, '[apb]' => $apbobc, '[egb]' => $egbobc, '[amount]' => $pd['amount'], '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $Cac['mc'], '[name]' => $pd['name'], '[description]' => $dh, '[period_type]' => '', '[period_length]' => ''));
		}
		elseif ($pd['bt'] === 'SUB') {
			$ppsbc = $pd['ppu'] === 'yes' ? $this->gbc($package_id, $user_id, 'paypal') : '';
			$apsbc = $pd['apu'] === 'yes' ? $this->gbc($package_id, $user_id, 'alertpay') : '';
			if ($pd['umht'] === 'yes') $hct = $c['mht'];	//HTML Code Template
			else $hct = $pd['ht'];
			return $this->sv($hct, array('[ppb]' => $ppsbc, '[apb]' => $apsbc, '[egb]' => '', '[amount]' => $pd['amount'], '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $Cac['mc'], '[name]' => $pd['name'], '[period_type]' => $pd['spt'], '[period_length]' => $pd['spl'], '[description]' => $dh));
		}
		return '';
	}
	/**
	 * get currency sign
	 *
	 * @param string $code
	 * @return string
	 */
	function gcs($code) {
		if ($code === 'EUR') return '&euro;';
		if ($code === 'USD') return '$';
		return '';
	}
	/**
	 * Get E-gold Payment Unit
	 *
	 * @param string $code
	 * @return integer
	 */
	function gepu($code) {
		if ($code === 'EUR') return 85;
		if ($code === 'USD') return 1;
		return 1;	//default
	}
	/**
	 * Get Existing Packages That Are To Be Shown (_show = "yes")
	 *
	 */
	function geptartbs() {
		return $this->C->staas('*', $this->crpt, 'where _show ="yes"');
	}
	/**
	 * Get Description HTML
	 *
	 * @param str/int $package_id
	 */
	function gdh($package_id) {
		$pd = $this->C->staa('*', $this->crpt, 'where id='.$package_id);	//Package Data
		$Cac = $this->Ca->gcd();
		if ($pd['bt'] === 'SUB') {
			return $this->sv($pd['drt'], array('[name]' => $pd['name'], '[amount]' => $pd['amount'], '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $Cac['mc'], '[period_type]' => $pd['spt'], '[period_length]' => $pd['spl']));
		}
		else {	//BO
			return $this->sv($pd['drt'], array('[name]' => $pd['name'], '[amount]' => $pd['amount'], '[price]' => $pd['cost'], '[currency_sign]' => $this->gcs($Cac['mc']), '[currency_code]' => $Cac['mc'], '[period_type]' => '', '[period_length]' => ''));
		}
	}
	/**
	 * Get Number Of Unseen Payments
	 *
	 * @return int
	 */
	function gnoup() {
		return $this->C->sfrfvi('COUNT(*)', $this->crps, 'where unseen="yes" && sc = 1');
	}
}
?>