<?php
/*
 Package: AutoHit Genrator (iHits.ir Clone Script)
 Release by : Omid Samadbin in P30vel.ir
 Copyright (c) 2007, 2008 P30vel Group, Inc.
 License: http://www.gnu.org/licenses/gpl.txt GNU Public License
 ------------------------------------------------------------------------------
 contact me : P30vel@gmail.com  Info@p30vel.ir
 Tel me : 0935 522 99 46
 Other My Site : MihanTeam.Com  ,  Samadbin.Com  ,  GigScript.Info
 ------------------------------------------------------------------------------
 P30vel.ir Is Firest And Best Publisher Nulled And Free PHP, ASP, Ajax,... Script
*/
/**
 * Smarty {assign} compiler function plugin
 *
 * Type:     compiler function<br>
 * Name:     assign<br>
 * Purpose:  assign a value to a template variable
 * @link http://smarty.php.net/manual/en/language.custom.functions.php#LANGUAGE.FUNCTION.ASSIGN {assign}
 *       (Smarty online manual)
 * @author Monte Ohrt <monte at ohrt dot com> (initial author)
 * @author messju mohr <messju at lammfellpuschen dot de> (conversion to compiler function)
 * @param string containing var-attribute and value-attribute
 * @param Smarty_Compiler
 */
function smarty_compiler_assign($tag_attrs, &$compiler)
{
    $_params = $compiler->_parse_attrs($tag_attrs);

    if (!isset($_params['var'])) {
        $compiler->_syntax_error("assign: missing 'var' parameter", E_USER_WARNING);
        return;
    }

    if (!isset($_params['value'])) {
        $compiler->_syntax_error("assign: missing 'value' parameter", E_USER_WARNING);
        return;
    }

    return "\$this->assign({$_params['var']}, {$_params['value']});";
}

/* vim: set expandtab: */

?>
