<?php
/*
	Version: 6
	Version Date: 27.10.2008 11:04
*/
/**
 * Solo Ad automation for Bob of GAH. This is for LJ basic autosurf only.
 * Development start: 12.09.2008
 *
 */
class SoloAd {
	/**
	 * obj of Cuscus
	 *
	 * @var Cuscus
	 */
	public $C;
	/**
	 * 
	 *
	 * @var Smarty
	 */
	public $S;
	public $tq = 'SoloAd_queue';	//Table Queue
	public $tc = 'SoloAd_config';	//Table Config
	public $tvl = 'SoloAd_view_log';	//Table View Log
	function p($page) {
		if ($page === 'manage') {
			global $user_id;
			//the members area solo ad management page
			if (isp('b1')) {	//Submit for approval
				$sid = intval($_GET['id']);	//Solo ad ID
				$sad = $this->gad($sid, $user_id);
				if (!count($sad)) return;
				//Solo ad exists
				$this->C->u($this->tq, array('ms'=>'unapproved', 'rr' => ''), 'where id='.$sid);
			}
			$usa = $this->C->staas('*', $this->tq, 'where uid='.$user_id);	//User's Solo Ads
			
			$this->S->assign('usa', $usa);
			$this->S->display('SoloAd/manage.html');
		}
		elseif ($page === 'modify') {
			global $user_id;
			$sid = intval($_GET['id']);	//Solo ad ID
			$sad = $this->gad($sid, $user_id);
			if (!count($sad)) return;
			
			if (isp('b1')) {
				//Save
				//check if god already exists or not
				$god = date('Y-m-d', strtotime($_POST['sd']));
				if ($this->C->sfrfvi('COUNT(*)', $this->tq, 'where god="'.$god.'" && id!='.$sid)) {
					echo(json_encode(array('code' => 2)));
				}
				elseif ($this->C->sfrfv('ms', $this->tq, 'where id='.$sid) !== 'waiting_for_user') {
					echo(json_encode(array('code' => 3)));	//hacking
				}
				else {
					$this->C->u($this->tq, array('mte' => addslashes($_POST['mte']), 'god' => $god, 'al' => addslashes($_POST['al'])), 'where id='.$sid.' && uid='.$user_id);
					echo(json_encode(array('code' => 1)));
				}
				return;
			}
			
			$rd = $this->C->staas('god', $this->tq, 'where god!="0000-00-00" && id!='.$sid);
			$rd2 = array();
			foreach ($rd as $d) {
				$rd2[] = $d['god'];
			}
			
			//Solo ad exists
			$this->S->assign('sad', $sad);
			secheader();
			$this->S->assign('c', $this->gcd());
			$this->S->assign('rd', json_encode($rd2));	//Reserved Dates
			$this->S->display('SoloAd/modify.html');
			secfooter();
		}
		elseif ($page === 'admin') {
			global $y;
			$this->S->assign('y', $y);
			if (isg('sp')) {
				if ($_GET['sp'] === 'vasa') {	//View All Solo Ads
					
					if (isp('b1')) {	//Delete Solo Ad
						$this->C->d($this->tq, 'where id='.$_POST['id']);
					}
					
					$asa = $this->C->staas('q.*, u.email', $this->tq . ' q', 'left join user u on u.id = q.uid order by id desc');	//All Solo Ads
					$this->S->assign('asa', $asa);
					$this->S->display('SoloAd/vasa.html');
				}
				elseif ($_GET['sp'] === 'vsa') {	//View [One] Solo Ad
					$sad = $this->C->staa('q.*, u.email', $this->tq . ' q', 'left join user u on u.id = q.uid where q.id='.$_GET['id']);	//Solo Ad Data
					
					$this->S->assign('sad', $sad);
					$this->S->display('SoloAd/vsa.html');
				}
				return;
			}
			
			if (isp('b1')) {
				//Save
				$this->C->u($this->tc, array('eh' => addslashes($_POST['eh']), 'ef' => addslashes($_POST['ef']), 'et' => addslashes($_POST['et']), 'vt' => $_POST['vt']));
			}
			elseif (isp('b2')) {	//Reject
				$rr = addslashes($_POST['rr']);
				$this->C->u($this->tq, array('ms' => 'waiting_for_user', 'rr' => $rr), 'where id='.$_POST['id']);
			}
			elseif (isp('b3')) {	//Approve
				$this->C->u($this->tq, array('ms' => 'approved'), 'where id='.$_POST['id']);
			}
			elseif (isp('b4')) {	//Add One Solo Ad
				$this->C->i($this->tq, array('uid' => $_POST['uid'], 'cr' => $_POST['cr']));
				$this->S->assign('b4n', 'The solo ad was added to user ID '.$_POST['uid']);
			}
			
			$sawfa = $this->C->staas('q.*, u.email', $this->tq.' q', 'left join user u on u.id=q.uid where q.ms="unapproved" order by god asc');	//Solo Ads Waiting For Approval
			
			$this->S->assign('sawfa', $sawfa);
			$this->S->assign('c', $this->gcd());
			$this->S->display('SoloAd/admin.html');
		}
		elseif ($page === 'view') {
			$sad = $this->C->staa('*', $this->tq, 'where id='.intval($_GET['id']).' && ms="sent"');	//Solo Ad Data
			if (!count($sad)) {
				echo('Solo ad doesnt exist');
				exit();
			}	//Solo ad exists
			$this->S->assign('sad', $sad);
			$this->S->display('SoloAd/view.html');
		}
		elseif ($page === 'control_frame') {
			$sad = $this->C->staa('*', $this->tq, 'where id='.intval($_GET['id']));	//Solo Ad Data
			if (!count($sad)) {
				echo('Solo ad doesnt exist');
				exit();
			}	//Solo ad exists
			if (isset($_GET['a'])) {
				if ($_GET['a'] === 'add_credits') {
					$uid = intval($_GET['uid']);
					if ($this->C->sfrfvi('count(*)', $this->tvl, 'where said='.$sad['id'].' && uid='.$uid)) {
						//user has already been credited for the view
						echo(json_encode(array('code' => 2)));
						return;
					}
					$this->C->u('user', array('credits=credits+'.$sad['cr']), 'where id='.$uid);
					$this->C->i($this->tvl, array('uid' => $uid, 'said' => $sad['id'], 'vt' => date('Y-m-d H:i:s')));
					$this->C->u($this->tq, array('ht=ht+1'), 'where id='.$sad['id']);
					echo(json_encode(array('code' => 1)));
					return;
				}
			}
			$this->S->assign('sad', $sad);
			$this->S->assign('c', $this->gcd());
			$this->S->display('SoloAd/control_frame.html');
		}
	}
	function gcd() {
		return $this->C->staa('*', $this->tc);
	}
	function gad($id, $uid) {
		return $this->C->staa('*', $this->tq, 'where uid='.$uid.' && id='.$id);
	}
	/**
	 * sends out a solo ad if it's the correct date.
	 *
	 */
	function ssa() {
		global $siteurl, $email_headers;
		$ssa = $this->C->staas('*', $this->tq, 'where ms="unapproved" || ms ="approved"');	//Suitable Solo Ads
		if (!count($ssa)) return;
		foreach ($ssa as $d) {
			if ($d['god'] <= date('Y-m-d') && $d['ms'] === 'unapproved') {
				//the solo ad should (have) go(ne) out but it's not approved yet. user myst submit again
				$this->C->u($this->tq, array('rr' => 'Admin didn\'t approve fast enough. Set new send date.', 'ms' => 'waiting_for_user', 'god' => '0000-00-00'), 'where id='.$d['id']);
			}
			elseif ($d['god'] === date('Y-m-d') && $d['ms'] === 'approved') {
				//only one will go out during one cron run, coz one solo ad is allowed per day
				$aau = $this->C->staas('email, id', 'user', 'where ac=0');	//All Activated Users
				$c = $this->gcd();	//Config
				$counter = 0;
				foreach ($aau as $d2) {
					$m = $d['mte'];
					$eh = $c['eh'];
					$ef = $c['ef'];
					$eh = str_replace('<creditlink>', 'http://'.$siteurl.'view_solo_ad.php?id='.$d['id'].'&uid='.$d2['id'], $eh);
					$eh = str_replace('<credits>', $d['cr'], $eh);
					$ef = str_replace('<creditlink>', 'http://'.$siteurl.'view_solo_ad.php?id='.$d['id'].'&uid='.$d2['id'], $ef);
					$ef = str_replace('<credits>', $d['cr'], $ef);
					$m = $eh."\n".$m."\n".$ef;
					mail($d2['email'], $c['et'], $m, $email_headers);
				}
				$this->C->u($this->tq, array('ms' => 'sent'), 'where id='.$d['id']);
			}
		}
	}
	/**
	 * Give Solo Ad
	 *
	 */
	function gsa($uid, $cr) {
		$this->C->i($this->tq, array('uid' => $uid, 'cr' => $cr));
	}
	/**
	 * Get Unapproved Solo Ad Count
	 *
	 * @return int
	 */
	function gusac() {
		return $this->C->sfrfvi('count(*)', $this->tq, 'where ms="unapproved"');
	}
}
?>